.TH NEF.X "1" "May 2012" "nef.x 2.1" "User Commands"
.SH NAME
nef.x, nef-<num>d.x \- compute Hodge numbers of nef\-partitions
.SH SYNOPSIS
.B nef.x
\fI<Options>\fR
.SH DESCRIPTION
The nef-<num>d.x variant programs, where <num> is one of 4, 5, 6 and 11
work in different dimensions ; nef.x defaults to dimension 6.
.SS Options
.TP
\fB\-h\fR
prints this information
.TP
\fB\-f\fR or \-
use as filter; otherwise parameters denote I/O files
.TP
\fB\-N\fR
input is in N\-lattice (default is M)
.TP
\fB\-H\fR
gives full list of Hodge numbers
.TP
\fB\-Lv\fR
prints L vector of Vertices (in N\-lattice)
.TP
\fB\-Lp\fR
prints L vector of Points (in N\-lattice)
.TP
\fB\-p\fR
prints only partitions, no Hodge numbers
.TP
\fB\-D\fR
calculates also direct products
.TP
\fB\-P\fR
calculates also projections
.TP
\fB\-t\fR
full time info
.TP
\fB\-cCODIM\fR
codimension (default = 2)
.TP
\fB\-Fcodim\fR
fibrations up to codim (default = 2)
.TP
\fB\-y\fR
prints poly/CWS in M lattice if it has nef\-partitions
.TP
\fB\-S\fR
information about #points calculated in S\-Poly
.TP
\fB\-T\fR
checks Serre\-duality
.TP
\fB\-s\fR
don't remove symmetric nef\-partitions
.TP
\fB\-n\fR
prints polytope only if it has nef\-partitions
.TP
\fB\-v\fR
prints vertices and #points of input polytope in one
line; with \fB\-u\fR, \fB\-l\fR the output is limited by #points:
.TP
\fB\-uPOINTS\fR
\&... upper limit of #points (default = POINT_Nmax)
.TP
\fB\-lPOINTS\fR
\&... lower limit of #points (default = 0)
.TP
\fB\-m\fR
starts with [d  w1 w2 ... wk d=d_1 d_2 (Minkowski sum)
.TP
\fB\-R\fR
prints vertices of input if not reflexive
.TP
\fB\-V\fR
prints vertices of N\-lattice polytope
.TP
\fB\-Q\fR
only direct products (up to lattice Quotient)
.TP
\fB\-gNUMBER\fR
prints points of Gorenstein polytope in N\-lattice
.TP
\fB\-dNUMBER\fR
prints points of Gorenstein polytope in M\-lattice
.TP
if NUMBER = 0 ... no
0/1 info
.TP
if NUMBER = 1 ... no redundant
0/1 info (=default)
.TP
if NUMBER = 2 ... full
0/1 info
.TP
\fB\-G\fR
Gorenstein cone: input <\-> support polytope
.SH SEE ALSO
A complete manual is available here : http://arxiv.org/abs/1205.4147
